### Method

# FwupdPlugin CfiDevice get_cmd

#### Declaration [src]

    gboolean
    fu_cfi_device_get_cmd (
      FuCfiDevice* self,
      FuCfiDeviceCmd cmd,
      guint8* value,
      GError** error
    )

#### Description [src]

Gets the self vendor code.

Available since: | 1.7.1

#### Parameters

`cmd` | `FuCfiDeviceCmd`
| A `FuCfiDeviceCmd`, e.g. `FU_CFI_DEVICE_CMD_CHIP_ERASE`.
`value` | `guint8*`
| The API command value to use.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.